Flutter: Version 1 code has already been used. Try another version code on Android and Google Play

- Andrés Cruz

En español

When we try to upload an app to Google Play for the second time once the appbundle for Google Play has been generated in an app developed in Flutter, when uploading the app to Google Play we can see an error like:

Version 1 code has already been used. Try another version code

This is because every time we want to update the application on Google Play, it must be a different version, to change it:

pubspec.yaml:

version: 1.0.2+2

For future versions, you must follow the pattern of 1.0.3+3, 1.0.4+4...

Andrés Cruz

Develop with Laravel, Django, Flask, CodeIgniter, HTML5, CSS3, MySQL, JavaScript, Vue, Android, iOS, Flutter

Andrés Cruz In Udemy

I agree to receive announcements of interest about this Blog.